
Redmine - Patch #39050

New design for the calendar view

2023-09-09 10:22 - Yasu Saku

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Calendar Estimated time: 0.00 hour

Target version:    

Description

I propose a new design for the calendar.

I have made it possible to visualize not only the start and end dates but also valid events.

Current design

(source:trunk@22293)

 current.png  

New design

 new.png  

History

#1 - 2023-09-09 10:29 - Yasu Saku

- File new_design_calendar.patch added

Sorry, I converted the encoding of the patch file from UTF-16 LE to UTF-8.

#2 - 2023-10-23 16:36 - vadim klochkov

cool idea

#3 - 2023-10-24 02:27 - Mischa The Evil

- Subject changed from New design calendar to New design for the calendar view

FWIW: I haven't looked into this patch extensively, but I don't think it is desirable to change Issue#css_classes this way. It changes the issue's CSS

not only on the calendar view, but in more places throughout Redmine.

Files

current.png 118 KB 2023-09-09 Yasu Saku

new.png 114 KB 2023-09-09 Yasu Saku

new_design_calendar.patch 22.2 KB 2023-09-09 Yasu Saku

new_design_calendar.patch 10.8 KB 2023-09-09 Yasu Saku
